Package org.apache.qpid.proton.engine

# Class HandlerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.qpid.proton.engine.HandlerException

All Implemented Interfaces:
  `Serializable`

public class HandlerException extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HandlerException(Handler handler, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`Handler`
`getHandler()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HandlerException

public HandlerException(Handler handler, Throwable cause)

## Method Details

### getHandler

public Handler getHandler()